| OpenGL-2.2.1.1: A binding for the OpenGL graphics system | Source code | Contents | Index

Graphics.Rendering.OpenGL.GL.Texturing.Objects

Portability | portable
Stability | stable
Maintainer | sven.panne@aedion.de

Description
This module corresponds to section 3.8.12 (Texture Objects) of the OpenGL 2.1 specs.
Documentation

newtype TextureObject | Source

Constructors

TextureObject GLuint |

Instances

Eq TextureObject
ObjectName TextureObject
Ord TextureObject
Show TextureObject

textureBinding :: TextureTarget -> StateVar (Maybe TextureObject) | Source

textureResident :: TextureTarget -> GettableStateVar Bool | Source

areTexturesResident :: [TextureObject] -> IO ([TextureObject], [TextureObject]) | Source

type TexturePriority = GLclampf | Source

texturePriority :: TextureTarget -> StateVar TexturePriority | Source

prioritizeTextures :: [(TextureObject, TexturePriority)] -> IO () | Source

Produced by Haddock version 0.9